Package ru.bitel.bgbilling.kernel.event.events

# Class ContractCreatedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractCreatedEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ContractCreatedEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - договор создан.
Событие вызывается после создания нового договора в биллинге.
Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractCreatedEvent​(Contract contract)` | Конструктор события. Создается с кодом сервера.
  `ContractCreatedEvent​(Contract contract, int userId)` | Конструктор события.
  `ContractCreatedEvent​(Contract contract, int userId, int patternId)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Contract` | `getContract()` | Возращает созданный догвор.
  `int` | `getPatternId()` | Возвращает код шаблона, по которому был создан договор

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractCreatedEvent

    public ContractCreatedEvent​(Contract contract)
    Конструктор события.
    Создается с кодом сервера.
    Parameters:
      `contract` - - договор

  - ### ContractCreatedEvent

    public ContractCreatedEvent​(Contract contract, int userId)
    Конструктор события.
    Parameters:
      `contract` - - договор
      `userId` - - id пользователя, сгенерировавшего событие.

  - ### ContractCreatedEvent

    public ContractCreatedEvent​(Contract contract, int userId, int patternId)
    Конструктор события.
    Parameters:
      `contract` - - договор
      `userId` - - id пользователя, сгенерировавшего событие.
      `patternId` - - код шаблона, по которому был создан договор.

- ## Method Details

  - ### getContract

    public Contract getContract()
    Возращает созданный догвор.
    Returns:
      contract - договор

  - ### getPatternId

    public int getPatternId()
    Возвращает код шаблона, по которому был создан договор
    Returns:
      patternId - код шаблона